> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Returns a list of inbound plans with minimal information.

GET https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/list-inbound-plans

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Query parameters

- `pageSize` (integer, optional, default: 10) — The number of inbound plans to return in the response matching the given query.
- `paginationToken` (string, optional) — A token to fetch a certain page when there are multiple pages worth of results.
- `status` (string, optional) — The status of an inbound plan. Possible values: `ACTIVE`, `VOIDED`, `SHIPPED`, `ERRORED`.
- `sortBy` (string, optional) — Sort by field.
- `sortOrder` (string, optional) — The sort order. Possible values: `ASC`, `DESC`.

## Response

### 200

Success

- `inboundPlans` (list of InboundPlanSummary, optional) — A list of inbound plans with minimal information.
- `pagination` (Pagination, optional) — Contains tokens to fetch from a certain page.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### InboundPlanSummary

A light-weight inbound plan.

- `createdAt` (datetime, required) — The time at which the inbound plan was created. In ISO 8601 datetime format with pattern `yyyy-MM-ddTHH:mm:ssZ`.
- `inboundPlanId` (string, required) — Identifier of an inbound plan.
- `lastUpdatedAt` (datetime, required) — The time at which the inbound plan was last updated. In ISO 8601 datetime format with pattern `yyyy-MM-ddTHH:mm:ssZ`.
- `marketplaceIds` (list of string, required) — A list of Walmart marketplace IDs associated with this inbound plan.
- `name` (string, required) — Human-readable name of the inbound plan.
- `sourceAddress` (Address, required) — Specific details to identify a place.
- `status` (string, required) — The current status of the inbound plan. Possible values: `ACTIVE`, `VOIDED`, `SHIPPED`, `ERRORED`.

### Pagination

Contains tokens to fetch from a certain page.

- `nextToken` (string, optional) — When present, pass this string token in the next request to return the next response page.

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

### Address

Specific details to identify a place.

- `addressLine1` (string, required) — Street address information.
- `city` (string, required) — The city.
- `countryCode` (string, required) — The country code in two-character ISO 3166-1 alpha-2 format.
- `name` (string, required) — The name of the individual who is the primary contact.
- `postalCode` (string, required) — The postal code.
- `addressLine2` (string, optional) — Additional street address information.
- `companyName` (string, optional) — The name of the business.
- `districtOrCounty` (string, optional) — The district or county.
- `email` (string, optional) — The email address.
- `phoneNumber` (string, optional) — The phone number.
- `stateOrProvinceCode` (string, optional) — The state or province code.

## Examples

**Response**

```json
{
  "inboundPlans": [
    {
      "createdAt": "2024-01-15T09:30:00Z",
      "inboundPlanId": "string",
      "lastUpdatedAt": "2024-01-15T09:30:00Z",
      "marketplaceIds": [
        "string"
      ],
      "name": "string",
      "sourceAddress": {
        "addressLine1": "string",
        "city": "string",
        "countryCode": "string",
        "name": "string",
        "postalCode": "string",
        "addressLine2": "string",
        "companyName": "string",
        "districtOrCounty": "string",
        "email": "string",
        "phoneNumber": "string",
        "stateOrProvinceCode": "string"
      },
      "status": "string"
    }
  ],
  "pagination": {
    "nextToken": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```